DKBSignDocs

API reference

POSTRequires Bearer token

Cancel a workflow from the current step

/api/workflows/transactions/step/process/cancelled

Submit /api/workflows/transactions/step/process/cancelled. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
transaction_id
Required
integerCurrent step transaction id.
e.g. 44
motif_refus
Required
stringCancellation reason (max 255).
e.g. "Incomplete file"

Responses

StatusMeaning
200Cancelled
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/transactions/step/process/cancelled' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"transaction_id":44,"motif_refus":"Incomplete file"}'

Response 200

json
{
  "status": "success",
  "message": "Processe annuler et fin du workflow"
}